Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Update a memory store

POST /memory_stores/{name}

Updates the specified memory store with the supplied configuration changes.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

Path parameters

name string required

The name of the memory store to update.

Query parameters

api-version string required

The API version to use for this operation.

Request Body

Content-Type: application/json
description string

A human-readable description of the memory store.

metadata object

Arbitrary key-value metadata to associate with the memory store.

[key: string] string

Responses

The request has succeeded.

Body

Content-Type: application/json
object enum required

The object type, which is always 'memory_store'.

memory_store
id string required

The unique identifier of the memory store.

created_at integer required
updated_at integer required
name string required

The name of the memory store.

description string

A human-readable description of the memory store.

metadata object

Arbitrary key-value metadata to associate with the memory store.

[key: string] string
definition default required

Base definition for memory store configurations.

One of the following:
default MemoryStoreDefaultDefinition

Default memory store implementation.

kind enum required

The kind of the memory store.

default
chat_model string required

The name or identifier of the chat completion model deployment used for memory processing.

embedding_model string required

The name or identifier of the embedding model deployment used for memory processing.

options MemoryStoreDefaultOptions

Default memory store configurations.

user_profile_enabled boolean required

Whether to enable user profile extraction and storage. Default is true.

user_profile_details string

Specific categories or types of user profile information to extract and store.

chat_summary_enabled boolean required

Whether to enable chat summary extraction and storage. Defaults to true.

procedural_memory_enabled boolean

Whether to enable procedural memory extraction and storage. The service defaults to true if a value is not specified by the caller.

default_ttl_seconds integer

The default time-to-live for memories in seconds. A value of 0 indicates that memories do not expire. Defaults to 0.

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

POST /memory_stores/{name} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026